package ru.dbotthepony.kstarbound.defs.`object`

import ru.dbotthepony.kstarbound.json.builder.IStringSerializable

// int32_t
enum class LoungeControl(override val jsonName: String) : IStringSerializable {
	LEFT("Left"),
	RIGHT("Right"),
	DOWN("Down"),
	UP("Up"),
	JUMP("Jump"),
	PRIMARY_FIRE("PrimaryFire"),
	ALT_FIRE("AltFire"),
	SPECIAL1("Special1"),
	SPECIAL2("Special2"),
	SPECIAL3("Special3");
}
